<?php
/**
 * Copyright Â© 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
use Magento\Framework\App\Action\Action;

// @codingStandardsIgnoreFile
?>
<?php
/**
 * Product list template
 *
 * @var $block \Magento\Catalog\Block\Product\ListProduct
 */
?>
<?php
/*$_productCollection = $block->getProductCollection();
echo $_productCollection->getSize();*/
$productData = $block->getData();
$_productCollection = $productData['data']['collection'];
//echo $_productCollection->getSelect();
//echo "<br />";

$count = $_productCollection->count();
$_helper = $this->helper('Magento\Catalog\Helper\Output');
$themeHelper = $this->helper('MGS\Mpanel\Helper\Data');
$_aHelper = $this->helper('MGS\AjaxCart\Helper\Data');

$colClassRow = $themeHelper->getColClass();
$arrColClass = explode(' ', $colClassRow);
$pageType = 'catalogsearch';
$settings = $themeHelper->getThemeSettings();
$lazyLoad = $themeHelper->getStoreConfig('mgstheme/general/lazy_load');
$baseImage = $this->getViewFileUrl('MGS_Mpanel::images/blank.png');
$baseImageHover = $this->getViewFileUrl('MGS_Mpanel::images/blank.png');
$perrow = $settings['catalog']['per_row'];
$animationType = $_aHelper->getConfig('ajaxcart/additional/animation_type');

$changeProductPerRow = $themeHelper->getEnableChangeProductPerRow();

if ($this->hasData('page_type')) {
	$pageType = $this->getData('page_type');
}
if ($pageType == 'catalog') {
	$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
	$category = $objectManager->get('Magento\Framework\Registry')->registry('current_category');
	if ($category->getPerRow()) {
		$perrow = $category->getPerRow();
	}
} elseif ($pageType == 'catalogsearch') {
	if ($settings['catalogsearch']['per_row']) {
		$perrow = $settings['catalogsearch']['per_row'];
	}
} elseif ($pageType == 'catalog_brand') {
	if ($settings['catalog_brand']['per_row']) {
		$perrow = $settings['catalog_brand']['per_row'];
	}
}

$hover_effect = "";
if ($themeHelper->getStoreConfig('mpanel/catalog/disable_hover_effect') == 1) {
	$hover_effect = "disable_hover_effect";
}

$colCheck = $themeHelper->convertPerRowtoCol($perrow);
$colClass = $themeHelper->convertColClass($colCheck, 'col');

$classNumber = '';
$dataCol = '';
?>
<?php if ($results = $count) : ?>
    <div class="search found">
        <?php if ($results == 1) : ?>
            <?= /* @noEscape */ __('<strong>%1 item</strong> were found using the following search criteria', $results) ?>
        <?php else : ?>
            <?= /* @noEscape */ __('<strong>%1 items</strong> were found using the following search criteria', $results) ?>
        <?php endif; ?>
    </div>
<?php else : ?>
    <div role="alert" class="message error">
        <div>
            <?= $block->escapeHtml(__('We can\'t find any items matching these search criteria.')) ?> <a href="#top-section" class="modify-criteria"><?= $block->escapeHtml(__('Modify your search.')) ?></a>
        </div>
    </div>
<?php endif; ?>
<?php if ($count) : ?>
    <div class="message notice">
        <div>
            <?= $block->escapeHtml(__("Don't see what you're looking for?")) ?>
            <a href="#top-section" class="modify-criteria"><?= $block->escapeHtml(__('Modify your search.')) ?></a>
        </div>
    </div>
<?php endif; ?>
<?php if (!$_productCollection->count()): ?>
    <div class="message info empty"><div><?php /* @escapeNotVerified */echo __('We can\'t find products matching the selection.') ?></div></div>
<?php else: ?>
	<div class="category-product-actions">
		<?php if ($changeProductPerRow): ?>
			<?php $defaultValueProduct = $themeHelper->getDefaultValueNumberProductPerRow(); ?>
				    <?php if (in_array($defaultValueProduct, [3,4])): ?>
		    	<?php
$colCheck = $themeHelper->convertPerRowtoCol($defaultValueProduct);
$colClass = $themeHelper->convertColClass($colCheck, 'col');
?>
		    <?php endif?>
	    <?php endif?>
		<div class="filter-toggle">
			<a href="javascript:void(0)" class="title">
				<span class="icon pe-7s-edit"></span>
			</a>
		</div>
		<?php echo $block->getAdditionalHtml() ?>
		<?php echo $block->getToolbarHtml() ?>
	</div>
    <?php

 $storeCode = \Magento\Framework\App\ObjectManager::getInstance()
    ->get(\Magento\Store\Model\StoreManagerInterface::class)
    ->getStore()
    ->getCode();
    
if ($block->getMode() == 'grid') {
	$viewMode = 'grid';
	if(in_array($storeCode, ['de','se','ca','nz'])){
		$image = 'product_base_image';
		$image_hover = 'product_base_image';
	}else{
		$image = 'category_page_grid';
		$image_hover = 'product_thumbnail_image';
	}
	
	$showDescription = false;
	$templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
} else {
	$viewMode = 'list';

		if(in_array($storeCode, ['de','se','ca','nz'])){
		$image = 'product_base_image';
		$image_hover = 'product_base_image';
	}else{
		$image = 'category_page_list';
		$image_hover = 'product_thumbnail_image';
	}

	$showDescription = true;
	$templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::FULL_VIEW;
}
/**
 * Position for actions regarding image size changing in vde if needed
 */
$pos = $block->getPositioned();
?>
    <div class="products wrapper <?php /* @escapeNotVerified */echo $viewMode; ?> products-<?php /* @escapeNotVerified */echo $viewMode; ?>" id="product-wrapper">
        <?php $iterator = 1;?>
				<div class="row">
					<!-- <div class="col-sm-3">
						filters will come
					</div> -->
					<div class="col-sm-12">
						<ol class="products <?php if ($changeProductPerRow): ?>product-list-masonry-change-product<?php endif?> list items product-items <?php if ($block->getMode() == 'grid'): ?>row<?php endif?> <?php echo 'row-' . $arrColClass[0] ?>">

					<?php $_imagehelper = $this->helper('Magento\Catalog\Helper\Image');?>
					<?php $size = $themeHelper->getImageSize();?>
					<?php $padding = $themeHelper->getImagePadding();?>
					<?php $quickViewHelper = $this->helper('MGS\QuickView\Helper\Data');?>
					<?php $compareHelper = $this->helper('Magento\Catalog\Helper\Product\Compare');?>

					<?php if ($block->getMode() == 'grid'): ?>
						

					<?php else: ?>
						<?php /** @var $_product \Magento\Catalog\Model\Product */?>
						<?php foreach ($_productCollection as $_product): ?>
							
							<?php $_productNameStripped = $block->stripTags($_product->getName(), null, true);?>
							<?php $productImage = $_imagehelper->init($_product, $image)->resize($size['width'], $size['height'])->getUrl();?>
							<?php $productImageHover = $_imagehelper->init($_product, $image_hover)->resize($size['width'], $size['height'])->getUrl();?>
							<?php if (!$lazyLoad): ?>
								<?php $baseImage = $productImage?>
								<?php $baseImageHover = $productImageHover?>
							<?php endif?>
							<li class="item product product-item-info product-item">
								<div class="row">
									<div class="col-md-3 col-sm-4">
										<div class="product-image-content">
											<a href="<?php echo $_product->getProductUrl() ?>" style="padding-bottom: <?php echo $padding; ?>;" class="product photo product-item-photo" tabindex="-1">
												<img src="<?php echo $productImage ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive product-image-photo img-thumbnail<?php if ($lazyLoad): ?> lazy<?php endif?>" data-src="<?php echo $productImage ?>"/>

												<?php if (basename($_product->getData('thumbnail')) != 'no_selection'): ?>
													<?php if (basename($_product->getData('thumbnail')) != basename($_product->getData('small_image'))): ?>
														<img src="<?php echo $baseImageHover ?>" alt="<?php echo $_productNameStripped ?>" class="img-responsive img-hover-show<?php if ($lazyLoad): ?> lazy<?php endif?>" data-src="<?php echo $productImageHover ?>" />
													<?php endif?>
												<?php endif?>
												<div class="product-image-photo"></div>
											</a>
											<?php //echo $themeHelper->getProductLabel($_product) ?>
											<?php echo $quickViewHelper->aroundQuickViewHtml($_product); ?>
										</div>
									</div>
									<div class="col-md-5 col-sm-8">
										<div class="visible-xs padding-top20"></div>
										<div class="product details product-item-details">
											<h5 class="product name product-item-name">
												<a class="product-item-link" href="<?php echo $_product->getProductUrl() ?>">
													<?php echo $_helper->productAttribute($_product, $_product->getName(), 'name'); ?>
												</a>
											</h5>
											<h6 class="part-nos">Part No: <span><?php echo $_product->getSku();?></span> </h6>
											<?php if (!$themeHelper->getStoreConfig('mpanel/catalog/review')): ?>
												<?php echo $block->getReviewsSummaryHtml($_product, $templateType, true); ?>
											<?php endif?>

											<!-- <?php echo $block->getProductPrice($_product) ?> -->

											<?php echo $block->getProductDetailsHtml($_product); ?>

											<?php if ($_helper->productAttribute($_product, $_product->getShortDescription(), 'short_description')): ?>
												<div class="product description product-item-description">
													<?php /* @escapeNotVerified */echo $_helper->productAttribute($_product, $_product->getShortDescription(), 'short_description') ?>
												</div>
											<?php endif?>


										</div>
									</div>
									<div class="col-sm-offset-4 col-sm-8 col-md-4 col-md-offset-0">
										<div class="amount-wrapper">
											<div class="amount-wrapper-price">
												<?php echo $block->getProductPrice($_product) ?>
											</div>
											<ul class="actions-link" data-role="add-to-links">

													<?php if ($_product->isSaleable()): ?>
														<li><?php $postParams = $block->getAddToCartPostParams($_product);?>
														<form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data'][Action::PARAM_NAME_URL_ENCODED], 'product' => $postParams['data']['product']]); ?>" method="post">
															<input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
															<input type="hidden" name="<?php /* @escapeNotVerified */echo Action::PARAM_NAME_URL_ENCODED; ?>" value="<?php /* @escapeNotVerified */echo $postParams['data'][Action::PARAM_NAME_URL_ENCODED]; ?>">
															<?php echo $block->getBlockHtml('formkey') ?>

															<?php
			$has_option = 0;
			if ($_product->getTypeId() == 'simple') {
				$data = $_product->getData();
				$has_option = (isset($data['has_options']) && $data['has_options'] == 1) ? 1 : 0;
			}

			?>
														<?php if ($animationType == 'cartshow' && ($_product->getTypeId() == 'configurable' || $_product->getTypeId() == 'bundle' || $_product->getTypeId() == 'grouped' || ($_product->getTypeId() == 'simple' && $has_option == 1))): ?>
															<button class="action tocart btn btn-primary" type="button" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>" onclick="window.location.href = '<?php echo $_product->getProductUrl() ?>'">

																<span class="product-item-link">
																	<?php echo __('Add to cart'); ?>
																</span>
															</button>
														<?php else: ?>
															<div class="box-tocart">
    <div class="fieldset">
        <div class="field qty">
            <!-- <label class="label" for="qty"><span><?php /* @escapeNotVerified */
            //echo __('Qty') ?></span></label> -->
            <div class="control control-qty-cart">
							<span class="quantity-controls quantity-minus">-</span>
                <input type="number" name="qty" id="qty" maxlength="12" value="1" title="<?php /* @escapeNotVerified */
               echo __('Qty') ?>" class="qty-default input-text qty"
                       data-validate="<?php echo $block->escapeHtml(json_encode($block->getQuantityValidators())) ?>"
                />
								<span class="quantity-controls quantity-plus">+</span>
            </div>
        </div>
        </div>
</div>


															<button class="action tocart btn btn-primary 1111" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

																<span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
															</button>
														<?php endif?>
														</form></li>
													<?php endif?>
												</ul>
												 <?php if (!$_product->isSaleable()){ ?>    
												 <div class="notify-box notify-box-list">                
                     <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
                 </div>
                 	<?php } ?>
										</div>
									</div>
								</div>
							</li>
						<?php endforeach?>
					<?php endif?>
		        </ol>
					</div>
				</div>

    </div>
	<div class="bottom-pagination<?php if ($themeHelper->getStoreConfig('mpanel/catalog/ajaxscroll')): ?> ajaxscroll-enable<?php endif?>">
		<?php echo $block->getToolbarHtml() ?>
	</div>
    
<?php endif;?>

<script>
	require([
	'jquery',
	'waypoints'
], function(jQuery){
	(function($) {
		$('.filter-toggle .title').click(function(){
			$('html').toggleClass('filter-open');
		});
	})(jQuery);
});
</script>

<script type="text/javascript">
	requirejs([
		'require',
		'jquery',
		'mgsmasonry',
		'mgsvisible'
	], function( require, $, Masonry) {
		require( [ 'bridget' ], function( jQueryBridget ) {
			jQueryBridget( 'masonry', Masonry, $ );
			$(window).load(function() {
				var $container = $('.product-list-masonry-change-product').masonry({
					itemSelector: '.product-item-masonry',
					columnWidth: '.product-item-masonry',
					horizontalOrder: true
				});
				$('.layout-mode-button-group').on( 'click', 'a', function() {
				  // change layout mode
				  	$container.masonry({
				  		columnWidth: '.product-item-masonry',
				  		maxHeight: 0
				  	});
				});

				// change is-checked class on buttons
				$('.button-group').each( function( i, buttonGroup ) {
				  var $buttonGroup = $( buttonGroup );
				  $buttonGroup.on( 'click', 'a', function() {
				    $buttonGroup.find('.is-checked').removeClass('is-checked');
				    $( this ).addClass('is-checked');
				  });
				});
			});
			$(document).ajaxComplete(function() {
				var $container = $('.product-list-masonry-change-product').masonry({
					itemSelector: '.product-item-masonry',
					columnWidth: '.product-item-masonry',
					horizontalOrder: true
				});
				$('.layout-mode-button-group').on( 'click', 'a', function() {
				  // change layout mode
				  	$container.masonry({
				  		columnWidth: '.product-item-masonry',
				  		maxHeight: 0
				  	});
				});

				// change is-checked class on buttons
				$('.button-group').each( function( i, buttonGroup ) {
				  var $buttonGroup = $( buttonGroup );
				  $buttonGroup.on( 'click', 'a', function() {
				    $buttonGroup.find('.is-checked').removeClass('is-checked');
				    $( this ).addClass('is-checked');
				  });
				});
			});
		});

		$(window).scroll(function(){
			$(".product-list-masonry-change-product > .product-item-masonry").each(function(){
				if($(this).visible(true,true,'vertical')) {
					$(this).addClass('enable');
				}else {
					$(this).removeClass('enable');
				}
			});
		});
	});
</script>

<script type="text/javascript">
    require([
          'jquery'
      ], function ($) {
          $('.quantity-plus').click(function () {
          	console.log("clicked");
              // $('.qty-default').val(Number($('.qty-default').val()) + 1);
              var currentQTY = parseInt($(this).parent().parent().find(".qty-default").val());
              currentQTY = currentQTY + 1;
              $(this).parent().parent().find(".qty-default").val(currentQTY);
          });
			$('a.modify-criteria').on('click', function(event) {

				var target = $(this.getAttribute('href'));

				if( target.length ) {
					event.preventDefault();
					$('html, body').stop().animate({
						scrollTop: target.offset().top
					}, 1000);
				}

			});
          $('.quantity-minus').click(function () {
              // var value = Number($('.qty-default').val()) - 1;
              var currentQTY = parseInt($(this).parent().parent().find(".qty-default").val());
              currentQTY = currentQTY - 1;
              if (currentQTY > 0) {
                  $(this).parent().parent().find(".qty-default").val(currentQTY);
              }
          });

					// Equel Height
					let win = window.innerWidth;
					if (win > 767) {
						(function () {
							equalHeight(false);
						})();

						window.onresize = function(){
							equalHeight(true);
						}

						// let reOrderVisible = $('.products.grid.products-grid .item .item-product-col .product-item-details .ampreorder-note').visible();
						// $(if (reOrderVisible == true) {
						// 	$('.products.grid.products-grid .item .item-product-col .product-item-details .product-item-name').height('height', '120px');
						// });
					}

			    function equalHeight(resize) {
			      var elements = document.getElementsByClassName("equalHeight"),
			          allHeights = [],
			          i = 0;
			      if(resize === true){
			        for(i = 0; i < elements.length; i++){
			          elements[i].style.height = 'auto';
			        }
			      }
			      for(i = 0; i < elements.length; i++){
			        var elementHeight = elements[i].clientHeight;
			        allHeights.push(elementHeight);
			      }
			      for(i = 0; i < elements.length; i++){
			        elements[i].style.height = Math.max.apply( Math, allHeights) + 'px';
			        if(resize === false){
			          elements[i].className = elements[i].className + " show";
			        }
			      }
			    }
      });
</script>
<script type="text/javascript">
		require([
			"jquery",
			"jquery/ui"
		], function($){
			$(document).ready(function(){
				$('button.tocart').click(function(event){
					event.preventDefault();
					tag = $(this).parents('form:first');
					
					var data = tag.serializeArray();
					initAjaxAddToCart(tag, 'catalog-add-to-cart-' + $.now(), tag.attr('action'), data);
				});
			});
		});	
		
		
		function initAjaxAddToCart(tag, actionId, url, data){
			require(['jquery', 'magnificPopup'],function($){

            data.push({
                name: 'action_url',
                value: tag.attr('action')
            });

            var $addToCart = tag.find('.tocart').text();

            var self = this;
            data.push({
                name: 'ajax',
                value: 1
            });

            $.ajax({
                url: url,
                data: $.param(data),
                type: 'post',
                dataType: 'json',
                beforeSend: function (xhr, options) {
                    /*if (tag.find('.tocart').length) {
                        tag.find('.tocart').addClass('disabled');
                        tag.find('.tocart').text('Adding...');
                        tag.find('.tocart').attr('title', 'Adding...');
                    } else {
                        tag.addClass('disabled');
                        tag.text('Adding...');
                        tag.attr('title', 'Adding...');
                    }*/
                },
                success: function (response, status) {
                    if (status == 'success') {
                        var $source = '';
                        if (response.backUrl) {
                            console.log('Back url');
                            data.push({
                                name: 'action_url',
                                value: response.backUrl
                            });
                            self.initAjaxAddToCart(tag, 'catalog-add-to-cart-' + $.now(), response.backUrl, data);
                        } else {
                            console.log('else Back url');
                            console.log('Response', response);
                            if (jQuery('.action.showcart').length) {
                                jQuery('.action.showcart').trigger('click');
                            }

                            if (tag.find('.tocart').length) {
                                tag.find('.tocart').removeClass('disabled');
                                tag.find('.tocart').text($addToCart);
                                tag.find('.tocart').attr('title', $addToCart);
                                if (tag.closest('.product-item-info').length) {
                                    $source = tag.closest('.product-item-info');
                                    var width = $source.outerWidth();
                                    var height = $source.outerHeight();
                                } else {
                                    $source = tag.find('.tocart');
                                    var width = 300;
                                    var height = 300;
                                }

                            } else {
                                tag.removeClass('disabled');
                                tag.text($addToCart);
                                tag.attr('title', $addToCart);
                                $source = tag.closest('.product-item-info');
                                var width = $source.outerWidth();
                                var height = $source.outerHeight();
                            }
                        }
                    }
                },
                error: function () {
                    $('#mgs-ajax-loading').hide();
                    window.location.href = ajaxCartConfig.redirectCartUrl;
                }
            });
            });
        }
	</script>
